Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 4356 - ld dies with signal 11 when linking very big programs
Summary: ld dies with signal 11 when linking very big programs
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: binutils
Version: 6.0
Hardware: sparc
OS: Linux
medium
high
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-08-04 19:56 UTC by megastep
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-08-08 13:22:44 UTC


Attachments (Terms of Use)

Description megastep 1999-08-04 19:56:58 UTC
When trying to compile Civ: CTP for Sparc/Linux, ld died
with a 200MB core file. There is a lot of big object files
in this project, so maybe ld can't handle that much on
Sparc.

Comment 1 Jeff Johnson 1999-08-06 17:36:59 UTC
Make sure that everything that you are linking with was compiled
with -fPIC. On sparc there is also a -fpic, but that will fail
when your link is too large ...

Comment 2 Jim Kingdon 1999-08-08 13:22:59 UTC
I'm not sure -fpic rather than -fPIC
would explain this (if that is the problem,
ld is supposed to give an error that the global offset table filled
up, at least according to the GCC manual).

Make sure you have lots of virtual memory (while running out of data
space should produce something more like "out of memory", running
out of stack space will produce a sig11).  Make sure that ulimit
is set to allow enough stack space (see "man bash" re ulimit).

If those don't help, I'm not sure we can do much more to help.

Comment 3 Jim Kingdon 1999-08-23 17:56:59 UTC
I talked with a few of the Loki guys at LinuxWorld and they say
that the problem was indeed that they didn't have enough swap
space.


Note You need to log in before you can comment on or make changes to this bug.